<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.fb.models.FacebookBot Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.fb.models.FacebookBot Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.fb.models.FacebookBot:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.png" usemap="#pyspottedunipd.fb.models.FacebookBot_map" alt=""/>
  <map id="pyspottedunipd.fb.models.FacebookBot_map" name="pyspottedunipd.fb.models.FacebookBot_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9aa8f06dfce6734f430e70477b4c6e8b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a9aa8f06dfce6734f430e70477b4c6e8b">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">token</a>)</td></tr>
<tr class="separator:a9aa8f06dfce6734f430e70477b4c6e8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84bbc98341ead3cb11aebf0e0b5b32a5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a84bbc98341ead3cb11aebf0e0b5b32a5">get_latest_posts_of_page</a> (self, page_id, number_to_fetch)</td></tr>
<tr class="separator:a84bbc98341ead3cb11aebf0e0b5b32a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e281206f9a7260b779e89357ee7d8f6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3e281206f9a7260b779e89357ee7d8f6">download_page_posts</a> (self, page_id, min_number_to_fetch, output_file)</td></tr>
<tr class="separator:a3e281206f9a7260b779e89357ee7d8f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a95dc6383ba048c6404eaf5358a11b57e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a95dc6383ba048c6404eaf5358a11b57e">token</a></td></tr>
<tr class="separator:a95dc6383ba048c6404eaf5358a11b57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a723a55e3dedece9b7800cd0aaf12acd7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a723a55e3dedece9b7800cd0aaf12acd7">api</a></td></tr>
<tr class="separator:a723a55e3dedece9b7800cd0aaf12acd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3857b4ed1eab23cf1005665d92cf0448"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html#a3857b4ed1eab23cf1005665d92cf0448">graph</a></td></tr>
<tr class="separator:a3857b4ed1eab23cf1005665d92cf0448"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">A bot that scrapes Facebook with a authentication token </pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00097">97</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9aa8f06dfce6734f430e70477b4c6e8b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookBot.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>token</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param token: str
    Token to use Facebook API
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00100">100</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3e281206f9a7260b779e89357ee7d8f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookBot.download_page_posts </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>page_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>min_number_to_fetch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>output_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param page_id: str
    ID of page to scrape
:param min_number_to_fetch: int
    Minimum number of posts to fetch
:param output_file: str
    Path to output file to write data
:return: void
    Saves .csv file with posts data
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00149">149</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a84bbc98341ead3cb11aebf0e0b5b32a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.fb.models.FacebookBot.get_latest_posts_of_page </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>page_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>number_to_fetch</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param page_id: str
    ID of page to scrape
:param number_to_fetch: int
    Minimum number of posts to fetch
:return: [] of str in json format
    Each dict is a raw post (straight out of the API)
</pre> 
<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00111">111</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a723a55e3dedece9b7800cd0aaf12acd7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookBot.api</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00108">108</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a3857b4ed1eab23cf1005665d92cf0448"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookBot.graph</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00109">109</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a95dc6383ba048c6404eaf5358a11b57e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.fb.models.FacebookBot.token</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="fb_2models_8py_source.html#l00107">107</a> of file <a class="el" href="fb_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/<a class="el" href="fb_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb.html">fb</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1fb_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot.html">FacebookBot</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
